<?php
/**
 * Plumrocket Inc.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the End-user License Agreement
 * that is available through the world-wide-web at this URL:
 * http://wiki.plumrocket.net/wiki/EULA
 * If you are unable to obtain it through the world-wide-web, please
 * send an email to support@plumrocket.com so we can send you a copy immediately.
 *
 * @package     Plumrocket_ShippingTracking
 * @copyright   Copyright (c) 2018 Plumrocket Inc. (http://www.plumrocket.com)
 * @license     http://wiki.plumrocket.net/wiki/EULA  End-user License Agreement
 */
?>
<?php if ($block->canShow()) : ?>
    <div class="pr-shipp">
        <div class="container">
          <div class="page-title">

               <?php if (!empty($block->getServiceIcon())) : ?>
                  <!--img src="<?= $block->getServiceIcon(); ?>" / -->
                  <img src="<?php echo $this->getViewFileUrl('images/Plumrocket_ShippingTracking/images/icons/custom.png'); ?>" />
               <?php endif; ?>
              <h2>
                  <?= strtoupper($block->getServiceName()) . ' ' . __('Tracking Number %1', ($block->getTrackingNumber() ? '<span class="pr-track-number">(' . $block->getTrackingNumber() . ')</span>' : '' )) ?>
              </h2>
          </div>
          <div class="fieldset">
              <h3 class="legend"><?= __('General Information'); ?></h3>
              <ul class="form-list">
                  <li class="fields">
                      <strong><?= __('Order:'); ?></strong>
                      <?= '#' . $block->getOrderIncrementId() ?>
                  </li>
                  <li class="fields">
                      <strong><?= __('Order Status:'); ?></strong>
                      <?= $block->getOrderStatus() ?>
                  </li>
              </ul>
          </div>
          <div class="fieldset">
              <h3 class="legend"><?= __('Shipment Progress') ?></h3>
              <?php
                  $trackInfo = $block->getTrackingInfo();
              ?>
              <?php if(is_array($trackInfo) && isset($trackInfo['info'])) : ?>
                  <table class="data-table pr-shipp-table">
                     <thead>
                        <tr>
                            <?php foreach($trackInfo['columns'] as $column) : ?>
                                <th><?= $column ?></th>
                            <?php endforeach; ?>
                        </tr>
                     </thead>
                     <tbody>
                         <?php foreach($trackInfo['info'] as $informs) : ?>
                             <tr>
                                 <?php foreach($informs as $info) : ?>
                                     <td><?= $info ?></td>
                                 <?php endforeach; ?>
                             </tr>
                         <?php endforeach; ?>
                     </tbody>
                  </table>
              <?php else: ?>
                <div class="page-title">
                  <span>
                     <?= __('Tracking information is not available at this time. Please check back later or double-check the tracking/order number entered and try again.') ?>
                  </span>
                </div>
              <?php endif; ?>
          </div>

          <!-- form -->
          <div class="pr-track-form-wrapper">
              <form class="pr-track-form" action="<?= $this->getUrl('shippingtracking/search/index') ?>" id="tracking-number">
                  <div class="fieldset">
                      <p class="required"><em>*</em><?= __('Required Fields') ?></p>
                      <ul class="form-list">
                          <li class="fields">
                              <div class="track-fields">
                                  <div class="field">
                                      <label for="track-number" class="required"><em>*</em><?= __('Enter Tracking number') ?></label>
                                      <div class="input-box">
                                          <input id="track-number" type="text" autocapitalize="off" autocorrect="off" spellcheck="false" name="number" class="input-text required-entry">
                                      </div>
                                  </div>
                                  <div class="field">
                                       <label for="carrier" class="required"><em>*</em><?= __('Postal Services'); ?></label>
                                       <div class="input-box">
                                           <select id="carrier" name="carrier" title="Carrier" class="required-entry">
                                               <?php foreach ($block->getAvailableServices() as $key => $service) : ?>
                                                   <option value="<?= $key ?>"><?= $service ?></option>
                                               <?php endforeach; ?>
                                           </select>
                                       </div>
                                  </div>
                              </div>
                          </li>
                      </ul>
                  </div>
                  <div class="actions-toolbar">
                      <p class="secondary back-link">
                          <a href="" class="a-order-status-and-shipping-tracking-shippingtracking-index-index-">
                              <small>«</small>
                              <?= __('Back') ?></a>
                      </p>
                      <div class="primary">
                          <button type="submit" title="Track" class="button action primary">
                              <span><span> <?= __('Track') ?></span></span>
                          </button>
                      </div>
                  </div>
              </form>
          </div>
          <!-- form end-->
        </div>
    </div>

<?php else: ?>
    <div class="page-title">
         <h3>
             <?= __('Tracking number is not associated with any order on our store.') ?>
         </h3>
    </div>
<?php endif; ?>
